GOLF(2gg)

NAME
delete-fifo - (FIFO)

PURPOSE
Delete FIFO list elements up to the last one read, including.

SYNTAX

        delete-fifo <list>

DESCRIPTION
delete-fifo will delete all leading elements from the FIFO <list> up to the last one read, including. <list> was created by new-fifo.

Right after rewind-fifo, no element was read yet, and delete-fifo will have no effect. After any read-fifo, delete-fifo wil delete all elements up to the element read, including that element.

EXAMPLES

        new-fifo mylist

        // Add data to the list
        write-fifo mylist key "key1" value "value1"
        write-fifo mylist key "some2" value "other2"

        // Get first data from the list
        read-fifo mylist key k value v

        // Delete first element from the list, so list will have only "some2" key
        delete-fifo mylist

SEE ALSO
 FIFO

delete-fifo new-fifo purge-fifo read-fifo rewind-fifo write-fifo See all documentation